#
# spec file for package hp-officeJet (Version 0.91)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libtiff net-snmp net-snmp-devel openssl openssl-devel qt3-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool net-snmp net-snmp-devel openssl-devel perl qt3 qt3-devel rpm update-desktop-files

Name:         hp-officeJet
Summary:      A Driver for HP OfficeJet all-in-one Devices
Version:      0.91
Release:      115.3
Group:        Hardware/Printing
#Requires: 
#Provides: 
License:      GPL
URL:          http://hpoj.sourceforge.net
Source0:      hpoj-%{version}.tar.bz2
Source1:      ptal
Source2:      hp-officeJet.desktop
Patch0:       hpoj-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       %fillup_prereq %insserv_prereq

%description
This driver allows printing and scanning with most of HP's OfficeJet
devices. Please refer to the documentation in
/usr/share/doc/packages/hp-officeJet for how to finish the installation
of the driver.



Authors:
--------
    David Paschal <paschal@rcsis.com>

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -n hpoj-%{version}
%patch0

%build
%define SWITCH --prefix=/usr
%ifarch s390 s390x
%define SWITCH --prefix=/usr --without-par --without-usb
%endif
%ifarch ppc ppc64
%define SWITCH --prefix=/usr --without-par
%endif
autoconf
CXXFLAGS="$RPM_OPT_FLAGS" \
  ./configure --infodir=%{_infodir} %{SWITCH} \
	      --libdir=/usr/%_lib \
	      --with-qt-dir=/usr/lib/qt3 \
	      --with-qt-libraries=/usr/lib/qt3/%_lib \
              --sysconfdir=/etc %{_target_cpu}-suse-linux  \
              --with-cups-backend=$RPM_BUILD_ROOT/usr/%_lib/cups/backend/ \
              --with-sane-backend=$RPM_BUILD_ROOT/usr/%_lib/sane \
              --with-sane-etc=$RPM_BUILD_ROOT/etc/sane.d
make

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make install DESTDIR=$RPM_BUILD_ROOT prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/usr/%_lib etcdir=$RPM_BUILD_ROOT/etc
# install sane- and cups link manually
rm -f $RPM_BUILD_ROOT/usr/%_lib/sane/libsane-hpoj*
mkdir -p $RPM_BUILD_ROOT/usr/%_lib/sane/
mv $RPM_BUILD_ROOT/usr/%_lib/libsane-hpoj* $RPM_BUILD_ROOT/usr/%_lib/sane/
# (cd $RPM_BUILD_ROOT/usr/%_lib/sane/ && ln -s ../libsane-hpoj.so libsane-hpoj.so.1)
rm -f $RPM_BUILD_ROOT/usr/%_lib/cups/backend/ptal
(cd $RPM_BUILD_ROOT/usr/%_lib/cups/backend && ln -s ../../../sbin/ptal-cups ./ptal)
# install the ptal start script
%{INSTALL_DIR} $RPM_BUILD_ROOT/etc/init.d
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/sbin/
%{INSTALL_SCRIPT} %{S:1} $RPM_BUILD_ROOT/etc/init.d
ln -sf ../../etc/init.d/ptal $RPM_BUILD_ROOT/usr/sbin/rcptal
# /var/run directories
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/run/ptal-mlcd
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/run/printd
# cleanup
rm -f $RPM_BUILD_ROOT/etc/sane.d/dll.conf
%suse_update_desktop_file -i hp-officeJet System Monitor

%post
%{fillup_and_insserv -s ptal PTAL}

%postun 
%{insserv_cleanup}

%clean
# rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/hpojip-test
/usr/bin/ptal-connect
/usr/bin/ptal-device
/usr/bin/ptal-devid
/usr/bin/ptal-hp
/usr/bin/ptal-pml
/usr/bin/ptal-print
/usr/bin/xojpanel
/usr/include/ptal.h
/usr/include/hpojip.h
/usr/%_lib/libptal.so*
/usr/%_lib/libhpojip.so*
# /usr/%_lib/libsane-hpoj.so*
%dir /usr/%_lib/sane
/usr/%_lib/sane/libsane-hpoj.so*
/usr/share/applications/hp-officeJet.desktop
%dir /usr/%_lib/cups
%dir /usr/%_lib/cups/backend
/usr/%_lib/cups/backend/ptal
/usr/sbin/ptal-cups
/usr/sbin/ptal-init
/usr/sbin/ptal-mlcd
/usr/sbin/ptal-photod
/usr/sbin/ptal-printd
%config /etc/init.d/ptal
/usr/sbin/rcptal
%doc doc/*.html README COPYING LICENSE LICENSE.OpenSSL
%ghost /var/run/ptal-mlcd
%ghost /var/run/printd
# spec file ends here

%changelog -n hp-officeJet
* Tue Apr 20 2004 - gs@suse.de
- bugfix for /etc/init.d/ptal (bug #39057)
* Thu Feb 26 2004 - gs@suse.de
- ptal-init script: load module "usblp" for kernel 2.6
  (instead of "printer")
* Fri Nov 14 2003 - gs@suse.de
- update to version 0.91
* Mon Nov 10 2003 - ro@suse.de
- use net-snmp instead of ucdsnmp
* Tue Sep 16 2003 - adrian@suse.de
- define an Icon in desktop file
* Mon Sep 15 2003 - freitag@suse.de
- fixed ptal script to run properly from init script
* Mon Sep 01 2003 - adrian@suse.de
- add desktop file
* Fri Aug 29 2003 - gs@suse.de
- revert changes in ptal-init.in concerning a jet direct connection
  (not yet supported in scanner configuration)
* Wed Aug 27 2003 - gs@suse.de
- don't start ptal service by default
* Tue Aug 26 2003 - gs@suse.de
- fix in ptal initscript: Required-Start: hotplug_usb
* Mon Aug 25 2003 - freitag@suse.de
- made ptal initscript more quiet
  fixed bug in commandline detection of ptal-init
* Thu Aug 21 2003 - ro@suse.de
- fix build on lib64
* Mon Aug 18 2003 - freitag@suse.de
- added %%ghost-directories /var/run/ptal-mlcd and /var/run/printd,
  see bug #28764
* Wed Aug 13 2003 - ro@suse.de
- create possibly missing directory
* Fri Aug 01 2003 - freitag@suse.de
- added daemon patch that makes hp-officeJet working with yast2
  correctly
* Mon Jun 23 2003 - ro@suse.de
- added directories to filelist
- fixed lib64 issue for cups-backend file
* Tue Jun 10 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Wed Jan 29 2003 - freitag@suse.de
- added ptal init script for automatic start
* Wed Oct 30 2002 - freitag@suse.de
- fixed qt detection on 64 bit platforms
* Wed Oct 16 2002 - freitag@suse.de
- fixed the configure script to install the sane libs and cups
  backends properly even if there is no cups or sane in the build
  root. Added links at the required places to the filelist.
* Tue Aug 20 2002 - freitag@suse.de
- fixed file list.
* Mon Aug 12 2002 - freitag@suse.de
- update to version 0.90. Removed Adrians qt3-patch again because
  the new version brings proper checks for qt and compiles with
  qt3.
* Sat Aug 10 2002 - adrian@suse.de
- use qt version 3
* Tue Jul 30 2002 - freitag@suse.de
- fixes for s390: disabled parport and usb, disabled parport only
  for ppc
* Tue May 14 2002 - meissner@suse.de
- %%_lib fixes.
* Fri Apr 19 2002 - coolo@suse.de
- fix for gcc 3.1
* Mon Jan 28 2002 - freitag@suse.de
- added opensll-devel which is needed by snmp to work
* Wed Jan 23 2002 - freitag@suse.de
- added two directories /dev/ptal* needed by the driver.
* Wed Jan 16 2002 - uli@suse.de
- fixed to build on PPC, might even work
* Fri Nov 09 2001 - ro@suse.de
- use qt-devel-packages
* Tue Aug 28 2001 - freitag@suse.de
- initial version 0.8, hp-officeJet supports HP's all-in-one devices
  in printing and scanning. The package is required to use the HP's
  together with SANE to scan.
